Package com.io7m.cedarbridge.bridgedoc.api

# Record Class CBDocGeneratorDescription

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.bridgedoc.api.CBDocGeneratorDescription

Record Components:
  `id` - The ID of the generator
  `languageName` - The name of the target language
  `description` - A humanly-readable description of the generator

public record CBDocGeneratorDescription(String id, String languageName, String description) extends Record
A description of a documentation generator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBDocGeneratorDescription(String id, String languageName, String description)`
  A description of a documentation generator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `languageName()`
  Returns the value of the `languageName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBDocGeneratorDescription

    public CBDocGeneratorDescription(String id, String languageName, String description)
    A description of a documentation generator.
    Parameters:
      `id` - The ID of the generator
      `languageName` - The name of the target language
      `description` - A humanly-readable description of the generator

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public String id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### languageName

    public String languageName()
    Returns the value of the `languageName` record component.
    Returns:
      the value of the `languageName` record component

  - ### description

    public String description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component